Skip to main content
Server path: /habitica-social | Type: Application | PCID required: Yes

Tools

ToolDescription
habitica_social_create_challengesCreate a challenge
habitica_social_create_challenges_by_challenge_id_cloneClone a challenge
habitica_social_create_challenges_by_challenge_id_joinJoin a challenge
habitica_social_create_challenges_by_challenge_id_leaveLeave Challenge
habitica_social_create_challenges_by_challenge_id_select_winner_by_winner_idSelect Challenge Winner
habitica_social_create_groupsCreate a Group
habitica_social_create_groups_by_group_id_add_managerAdd Group Manager
habitica_social_create_groups_by_group_id_chatSend a chat message in a group
habitica_social_create_groups_by_group_id_chat_by_chat_id_clearflagsClear flags
habitica_social_create_groups_by_group_id_chat_by_chat_id_flagFlag a group chat message
habitica_social_create_groups_by_group_id_chat_by_chat_id_likeLike Group Chat Message
habitica_social_create_groups_by_group_id_chat_seenMark Group Chat Messages as Seen
habitica_social_create_groups_by_group_id_inviteInvite users to a group
habitica_social_create_groups_by_group_id_joinJoin a group
habitica_social_create_groups_by_group_id_leaveLeave a group
habitica_social_create_groups_by_group_id_quests_abortAbort Group Quest
habitica_social_create_groups_by_group_id_quests_acceptAccept Group Quest
habitica_social_create_groups_by_group_id_quests_cancelCancel Group Quest
habitica_social_create_groups_by_group_id_quests_force_startForce-Start Group Quest
habitica_social_create_groups_by_group_id_quests_invite_by_quest_keyInvite users to a quest
habitica_social_create_groups_by_group_id_quests_leaveLeave Group Quest
habitica_social_create_groups_by_group_id_quests_rejectReject Group Quest
habitica_social_create_groups_by_group_id_reject_inviteReject a group invitation
habitica_social_create_groups_by_group_id_remove_managerRemove a manager from a group
habitica_social_create_groups_by_group_id_remove_member_by_member_idRemove a member from a group
habitica_social_create_groups_create_planCreate Group Plan
habitica_social_create_groups_party_chatSend a chat message to the party
habitica_social_create_members_send_private_messageSend Private Message
habitica_social_create_members_transfer_gemsTransfer Gems
habitica_social_delete_challenges_by_challenge_idDelete a challenge
habitica_social_delete_groups_by_group_id_chat_by_chat_idDelete chat message from a group
habitica_social_get_challenges_by_challenge_idGet challenges for a group
habitica_social_get_challenges_by_challenge_id_export_csvExport Challenge to CSV
habitica_social_get_challenges_by_challenge_id_membersGet members for a challenge
habitica_social_get_challenges_by_challenge_id_members_by_member_idGet a challenge member progress
habitica_social_get_challenges_groups_by_group_idGet challenges for a group
habitica_social_get_challenges_userGet challenges for a user
habitica_social_get_group_plansGet Group Plans
habitica_social_get_groupsGet user’s groups
habitica_social_get_groups_by_group_idGet group information
habitica_social_get_groups_by_group_id_chatGet group chat messages
habitica_social_get_groups_by_group_id_invitesGet invites for a group
habitica_social_get_groups_by_group_id_membersGet members for a group
habitica_social_get_groups_party_chatGet party chat messages
habitica_social_get_looking_for_partyGet users in search of parties
habitica_social_get_members_by_member_idGet habitica member by ID
habitica_social_get_members_by_member_id_achievementsGet member achievements object
habitica_social_get_members_by_to_user_id_objections_by_interactionGet objections to interaction
habitica_social_update_challenges_by_challenge_idUpdate a challenge
habitica_social_update_groups_by_group_idUpdate Group

habitica_social_create_challenges

Create a challenge Parameters:
ParameterTypeRequiredDefaultDescription
descriptionstringNoA detailed description of the challenge.
groupstringYesThe UUID of the group to which the challenge belongs.
namestringYesThe full name of the challenge.
officialbooleanNoSpecifies whether the challenge is an official Habitica challenge.
prizenumberNoThe prize or reward associated with the challenge.
shortNamestringYesA shortened name for the challenge, to be used as a tag.
summarystringNoA short summary advertising the main purpose of the challenge; maximum 250 characters; if not supplied, challenge.name will be used.

habitica_social_create_challenges_by_challenge_id_clone

Clone a challenge Parameters:
ParameterTypeRequiredDefaultDescription
challengeIdstringYesID of the challenge to clone

habitica_social_create_challenges_by_challenge_id_join

Join a challenge Parameters:
ParameterTypeRequiredDefaultDescription
challengeIdstringYesID of the challenge

habitica_social_create_challenges_by_challenge_id_leave

Leave Challenge Parameters:
ParameterTypeRequiredDefaultDescription
challengeIdstringYesID of the challenge to leave
keepstringNoSpecify whether to remove all or keep all challenge-related tasks upon leaving.

habitica_social_create_challenges_by_challenge_id_select_winner_by_winner_id

Select Challenge Winner Parameters:
ParameterTypeRequiredDefaultDescription
challengeIdstringYesThe Challenge ID for the challenge to close with a winner.
winnerIdstringYesThe User ID of the winning user.

habitica_social_create_groups

Create a Group Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesThe name of the new group.
privacystringYesPrivacy of group (party MUST be private)
typestringYesType of group (guild or party)

habitica_social_create_groups_by_group_id_add_manager

Add Group Manager Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group _id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)
managerIdstringYesThe UUID of the user.

habitica_social_create_groups_by_group_id_chat

Send a chat message in a group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)
previousMsgstringNoThe previous chat message’s UUID which will force a return of the full group chat.
messagestringNoThe content of the chat message.

habitica_social_create_groups_by_group_id_chat_by_chat_id_clearflags

Clear flags Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)
chatIdstringYesThe UUID of the chat message to clear flags from.

habitica_social_create_groups_by_group_id_chat_by_chat_id_flag

Flag a group chat message Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted).
chatIdstringYesThe chat message id.
namestringNoExplanation why the message was flagged.

habitica_social_create_groups_by_group_id_chat_by_chat_id_like

Like Group Chat Message Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)
chatIdstringYesThe UUID of the chat message to like.

habitica_social_create_groups_by_group_id_chat_seen

Mark Group Chat Messages as Seen Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)

habitica_social_create_groups_by_group_id_invite

Invite users to a group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group _id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)
emailsobject[]NoAn array of objects, each representing one email address to invite.
uuidsstring[]NoAn array of user IDs to invite.

habitica_social_create_groups_by_group_id_join

Join a group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group _id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)

habitica_social_create_groups_by_group_id_leave

Leave a group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group _id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)
keepstringNoSpecify whether to remove or keep challenges when leaving the group.
keepChallengesstringNoSpecify whether to remain in challenges or leave challenges upon leaving the group.

habitica_social_create_groups_by_group_id_quests_abort

Abort Group Quest Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group _id (or ‘party’)

habitica_social_create_groups_by_group_id_quests_accept

Accept Group Quest Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group _id (or ‘party’)

habitica_social_create_groups_by_group_id_quests_cancel

Cancel Group Quest Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group _id (or ‘party’)

habitica_social_create_groups_by_group_id_quests_force_start

Force-Start Group Quest Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group _id (or ‘party’)

habitica_social_create_groups_by_group_id_quests_invite_by_quest_key

Invite users to a quest Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group _id (or ‘party’)
questKeystringYesThe unique key of the quest.

habitica_social_create_groups_by_group_id_quests_leave

Leave Group Quest Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group _id (or ‘party’)

habitica_social_create_groups_by_group_id_quests_reject

Reject Group Quest Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group _id (or ‘party’)

habitica_social_create_groups_by_group_id_reject_invite

Reject a group invitation Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group _id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)

habitica_social_create_groups_by_group_id_remove_manager

Remove a manager from a group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group _id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)
managerIdstringYesThe UUID of the user.

habitica_social_create_groups_by_group_id_remove_member_by_member_id

Remove a member from a group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group _id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)
memberIdstringYesThe ID of the member to be removed from the group.
messagestringNoThe message to send to the removed members.

habitica_social_create_groups_create_plan

Create Group Plan Parameters:
ParameterTypeRequiredDefaultDescription
descriptionstringNoThe description of the group plan.
gemsintegerNoThe number of gems required for the plan.
intervalstringNoThe interval of the plan in cron syntax.
namestringNoThe name of the group plan.

habitica_social_create_groups_party_chat

Send a chat message to the party Parameters:
ParameterTypeRequiredDefaultDescription
previousMsgstringNoThe previous chat message’s UUID which will force a return of the full group chat.
messagestringNoThe content of the chat message.

habitica_social_create_members_send_private_message

Send Private Message Parameters:
ParameterTypeRequiredDefaultDescription
messagestringYesThe private message to be sent.
toUserIdstringYesThe UUID of the user to whom the message will be sent.

habitica_social_create_members_transfer_gems

Transfer Gems Parameters:
ParameterTypeRequiredDefaultDescription
gemAmountintegerNoThe number of gems to send
messagestringNoThe message to the user
toUserIdstringNoThe user to send the gift to

habitica_social_delete_challenges_by_challenge_id

Delete a challenge Parameters:
ParameterTypeRequiredDefaultDescription
challengeIdstringYesID of the challenge to retrieve

habitica_social_delete_groups_by_group_id_chat_by_chat_id

Delete chat message from a group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)
chatIdstringYesThe UUID of the chat message to delete.
previousMsgstringNoThe last message’s ID fetched by the client so that the whole chat will be returned only if new messages have been posted in the meantime.

habitica_social_get_challenges_by_challenge_id

Get challenges for a group Parameters:
ParameterTypeRequiredDefaultDescription
challengeIdstringYesID of the challenge to retrieve

habitica_social_get_challenges_by_challenge_id_export_csv

Export Challenge to CSV Parameters:
ParameterTypeRequiredDefaultDescription
challengeIdstringYesID of the challenge to export

habitica_social_get_challenges_by_challenge_id_members

Get members for a challenge Parameters:
ParameterTypeRequiredDefaultDescription
challengeIdstringYesThe UUID of the challenge whose members are to be retrieved.
lastIdstringNoQuery parameter to specify the last member returned in a previous request to this route and get the next batch of results.
limitintegerNoBETA Query parameter to specify the number of results to return. Max is 60.
includeTasksbooleanNoBETA Query parameter - If ‘true’ then include challenge tasks of each member.
includeAllPublicFieldsbooleanNoIf set to true then all public fields for members will be returned (similar to when making a request for a single member).

habitica_social_get_challenges_by_challenge_id_members_by_member_id

Get a challenge member progress Parameters:
ParameterTypeRequiredDefaultDescription
challengeIdstringYesThe ID of the challenge.
memberIdstringYesThe ID of the challenge member.

habitica_social_get_challenges_groups_by_group_id

Get challenges for a group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted).

habitica_social_get_challenges_user

Get challenges for a user Parameters:
ParameterTypeRequiredDefaultDescription
pagenumberYesThis parameter can be used to specify the page number for the user challenges result (the initial page is number 0).
memberstringNoIf set to true it limits results to challenges where the user is a member.
ownedstringNoIf set to owned it limits results to challenges owned by the user. If set to not_owned it limits results to challenges not owned by the user.
searchstringNoOptional query parameter to filter results to challenges that include (even partially) the search query parameter in the name or description.
categoriesstringNoOptional comma separated list of categories. If set it limits results to challenges that are part of the given categories.

habitica_social_get_group_plans

Get Group Plans

habitica_social_get_groups

Get user’s groups Parameters:
ParameterTypeRequiredDefaultDescription
typestringYesType of groups to retrieve (party, guilds, privateGuilds, publicGuilds, tavern)
paginatebooleanNoWhether to paginate the results (true or false)
pageintegerNoPage number for paginated results (if paginate is true)

habitica_social_get_groups_by_group_id

Get group information Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group _id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)

habitica_social_get_groups_by_group_id_chat

Get group chat messages Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)

habitica_social_get_groups_by_group_id_invites

Get invites for a group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group id (‘party’ for the user party is accepted)
lastIdstringNoQuery parameter to specify the last invite returned in a previous request to this route and get the next batch of results.
limitintegerNoBETA Query parameter to specify the number of results to return. Max is 60.
includeAllPublicFieldsbooleanNoIf set to true then all public fields for members will be returned (similar to when making a request for a single member).

habitica_social_get_groups_by_group_id_members

Get members for a group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group id (‘party’ for the user party is accepted)
lastIdstringNoQuery parameter to specify the last member returned in a previous request to this route and get the next batch of results.
limitintegerNoBETA Query parameter to specify the number of results to return. Max is 60.
includeTasksbooleanNoBETA Query parameter - If ‘true’ then include challenge tasks of each member.
includeAllPublicFieldsbooleanNoIf set to true then all public fields for members will be returned (similar to when making a request for a single member).

habitica_social_get_groups_party_chat

Get party chat messages

habitica_social_get_looking_for_party

Get users in search of parties Parameters:
ParameterTypeRequiredDefaultDescription
pagenumberNoPage number, defaults to 0.

habitica_social_get_members_by_member_id

Get habitica member by ID Parameters:
ParameterTypeRequiredDefaultDescription
memberIdstringYesID of the member to retrieve

habitica_social_get_members_by_member_id_achievements

Get member achievements object Parameters:
ParameterTypeRequiredDefaultDescription
memberIdstringYesThe ID of the member whose achievements are to be retrieved.

habitica_social_get_members_by_to_user_id_objections_by_interaction

Get objections to interaction Parameters:
ParameterTypeRequiredDefaultDescription
toUserIdstringYesThe user to interact with
interactionstringYesName of the interaction to query.

habitica_social_update_challenges_by_challenge_id

Update a challenge Parameters:
ParameterTypeRequiredDefaultDescription
challengeIdstringYesID of the challenge to retrieve
descriptionstringNoThe new challenge description.
namestringNoThe new full name of the challenge.
summarystringNoThe new challenge summary.

habitica_social_update_groups_by_group_id

Update Group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesThe group _id (‘party’ for the user party and ‘habitrpg’ for tavern are accepted)
namestringYesThe name of the new group.
privacystringYesPrivacy of group (party MUST be private)
typestringYesType of group (guild or party)